SizeComparator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.galerts.SizeComparator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.galerts
Class SizeComparator

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.measurement.galerts.SizeComparator

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class SizeComparator

extends HypericEnum

This class is used for the less/more than part of the `MeasurementGtrigger` comparison when determining if a number of resources has met a condition.

See Also:
  Serialized Form

Field Summary
`static SizeComparator` | `LESS_THAN`
`static SizeComparator` | `MORE_THAN`

Method Summary
`static SizeComparator` | `findByCode(int code)`
`static java.util.List` | `getAll()`
`boolean` | `isTrue(int one, int two)` Returns true if one is greater than or less than 2 (depending on the instance of `SizeComparator`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LESS_THAN

    public static final SizeComparator LESS_THAN

### MORE_THAN

    public static final SizeComparator MORE_THAN

Method Detail

### isTrue

    public boolean isTrue(int one,
                          int two)

  Returns true if one is greater than or less than 2 (depending on the instance of `SizeComparator`

### getAll

    public static java.util.List getAll()

### findByCode

    public static SizeComparator findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.